Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685517 - ovirt-host-deploy-ansible fails on isolated (offline) nodes
Summary: ovirt-host-deploy-ansible fails on isolated (offline) nodes
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-metrics
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.3.3
: 4.3.0
Assignee: Shirly Radco
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On: 1677246
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 11:53 UTC by Bhushan Ranpise
Modified: 2019-04-10 13:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This release allows an Ansible playbook to run on isolated, offline nodes.
Clone Of: 1677246
Environment:
Last Closed:
oVirt Team: Metrics
Target Upstream Version:


Attachments (Terms of Use)

Description Bhushan Ranpise 2019-03-05 11:53:07 UTC
+++ This bug was initially created as a clone of Bug #1677246 +++

Description of problem:
ovirt-host-deploy-ansible now fails on isolated hosts with:

2019-02-14 11:31:17,076 p=31991 u=ovirt |  TASK [oVirt.metrics/roles/oVirt.initial-validations : Check Rsyslog packages are available] ***
2019-02-14 11:31:18,119 p=31991 u=ovirt |  fatal: [c76he20190211h1]: FAILED! => {
    "changed": false
}

MSG:

Failure talking to yum: Cannot find a valid baseurl for repo: base/7/x86_64

2019-02-14 11:31:18,119 p=31991 u=ovirt |  ...ignoring
2019-02-14 11:31:18,158 p=31991 u=ovirt |  TASK [oVirt.metrics/roles/oVirt.initial-validations : Set logging_collector as rsyslog] ***
2019-02-14 11:31:18,191 p=31991 u=ovirt |  fatal: [c76he20190211h1]: FAILED! => {}

MSG:

The conditional check 'rsyslog_packages_availability.rc == 0' failed. The error was: error while evaluating conditional (rsyslog_packages_availability.rc == 0): 'dict object' has no attribute 'rc'

The error appears to have been in '/usr/share/ansible/roles/oVirt.metrics/roles/oVirt.initial-validations/tasks/main.yml': line 29, column 3, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:


- name: Set logging_collector as rsyslog
  ^ here



Version-Release number of selected component (if applicable):
ovirt-host-deploy-common.noarch   1.8.0-0.0.master.20181220124603.git6a3fda8.el7
ovirt-engine.noarch               4.3.0.5-0.0.master.20190211194837.gitae3aa0e.el7


How reproducible:
100%

Steps to Reproduce:
1. Try to deploy an Internet insolated hosts where all the required packages are already there (do we miss something on ovirt-host ?)
2.
3.

Actual results:
Install failed with:
The conditional check 'rsyslog_packages_availability.rc == 0' failed. The error was: error while evaluating conditional (rsyslog_packages_availability.rc == 0): 'dict object' has no attribute 'rc'

Expected results:
it works even on disconnected hosts if all the packages are there

Additional info:

--- Additional comment from Simone Tiraboschi on 2019-02-14 11:10 UTC ---



--- Additional comment from Sandro Bonazzola on 2019-02-14 11:27:29 UTC ---

/usr/share/ansible/roles/oVirt.metrics/roles/oVirt.initial-validations/tasks/main.yml is shipped by ovirt-engine-metrics

Comment 4 Ivana Saranova 2019-04-04 13:38:19 UTC
verified on ovirt-engine-metrics-1.2.1.3-1.el7ev.noarch
Same verification as: https://bugzilla.redhat.com/show_bug.cgi?id=1677246#c8


Note You need to log in before you can comment on or make changes to this bug.